Page MenuHomePhabricator

disable torsocks warning spam
Closed, ResolvedPublic

Description

We make heavy use of torsocks in Whonix. For example, apt-get is run through torsocks for better stream isolation.

This generated loads of, hundreds of these kinds of messages.

[May 20 11:45:27] WARNING torsocks[2645]: [syscall] Unsupported syscall number 224. Denying the call (in tsocks_syscall() at syscall.c:165)

As per David Goulet's (torsocks maintainer) answer, we can disable them. Fortunately.

export TORSOCKS_LOG_LEVEL=1

Do we want to set TORSOCKS_LOG_LEVEL=1 by,

  • a) uwt for all invocations of uwt -> torsocks -> apt-get, gpg, etc. or
  • b) uwt globally for the whole system or
  • c) whonix-base-files globally for the whole system or
  • d) anon-base-files globally for the whole system or
  • e) elsewhere or
  • f) something else?

Disabling these messages globally is not the greatest solution, but would certainly save lots of bug reports we can do nothing about anyhow.

Details

Impact
High

Event Timeline

Patrick created this task.May 20 2015, 3:55 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick set Impact to High.
Patrick added subscribers: Patrick, HulaHoop, nrgaway.
Patrick claimed this task.May 23 2015, 3:34 AM
Patrick closed this task as Resolved.May 23 2015, 3:38 AM

disable torsocks warning spam - https://phabricator.whonix.org/T317:
https://github.com/Whonix/uwt/commit/68b44f34929ab992072342a07b278d8827bc088a

Patrick reopened this task as Open.May 24 2015, 7:11 PM

Warning spam still happens, because environment variable is not kept when using sudo.

sudo apt-get install --reinstall udev

Does not contain warning spam, since keeping environment (-E). Very few users do that.

sudo -E apt-get install --reinstall udev

Solution:

/etc/sudoers.d/uwt

Defaults:ALL env_keep += "TORSOCKS_LOG_LEVEL"
Patrick changed the task status from Open to Review.May 26 2015, 5:58 PM

disable torsocks warning spam, also set 'export TORSOCKS_LOG_LEVEL=1' in /usr/bin/uwt - https://phabricator.whonix.org/T317:
https://github.com/Whonix/uwt/commit/f48aca83973bead089c97d720ac7b9c37a6b6348

disable torsocks warning spam, set 'Defaults:ALL env_keep += "TORSOCKS_LOG_LEVEL"' in '/etc/sudoers.d/uwt' - https://phabricator.whonix.org/T317:
https://github.com/Whonix/uwt/commit/60af762a7bb30ac40339aa05c438bc9fd3c6c754

Patrick closed this task as Resolved.Jun 6 2015, 5:38 PM

Fixed in Whonix 10.0.0.2.3.